Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005579TestLinkReportspublic2013-03-20 19:012013-04-07 16:30
Reporterdenjolras 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.6 (2013 Q1 - bug fixing) 
Fixed in Version1.9.7 (2013 Q2 - bug fixing) 
Summary0005579: Test Report display Test Case from suite at same level as Test Case from last Sub-suite
DescriptionI have a test suite/testcase like

Main_TS
- Sub_TS
-- TC_inSub_1
-- TC_inSub_2
- TC1

When doing report, I see
Main_TS
- Sub_TS
- TC_inSub_1
- TC_inSub_2
- TC1

with no way to "see" that TC1 is part of the Main_TS
Steps To ReproduceCreate a set of test as in picture
generate report ( for example Test Plan report )
TagsContribution
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files? file icon Test_Specification.tiff [^] (7,516 bytes) 2013-03-20 19:02
? file icon Test_Report.tiff [^] (31,462 bytes) 2013-03-20 19:02
? file icon Report_When_MainTC_Created_First.tiff [^] (41,446 bytes) 2013-03-20 19:47
? file icon print.inc.php [^] (51,620 bytes) 2013-03-21 22:12
? file icon print.inc.php.ori [^] (51,004 bytes) 2013-03-21 22:13

- Relationships
child of 0005614closedfman Test case Drag & Drop allows a Test case become children of Test Project - Wrong 
child of 0005551closedfman Availables hot-fixes for 1.9.6 & How To get full fixed package from gitorious 

-  Notes
(0018509)
fman (administrator)
2013-03-20 19:35

IMHO we need to add some indenting or something like that on - Sub_TS.
You need to test if reordering the tree putting - TC1 BEFORE Sub_TS, provides on report the desired effect.

It would be interesting understand if this is a new issue, or was present on previuos versions
(0018511)
denjolras (reporter)
2013-03-20 19:39

I have a testlink1.9.3 based on same DB
( version was modifyed to be compatible with new DB version )
==> Issue was already present.
(0018512)
denjolras (reporter)
2013-03-20 19:46

Reordering an existing Test Suite don't solve.
Creating the TC in "root", then the Sub Test Suite, and sub TestCases "solve"
(0018544)
denjolras (reporter)
2013-03-21 22:13

print.inc.php & print.inc.php.ori contain a fix working for me.
(0018638)
fman (administrator)
2013-04-07 13:39

This issue has a different origin => is created due to a bad check.
Test project can not have TEST CASES as CHILDREN

- Issue History
Date Modified Username Field Change
2013-03-20 19:01 denjolras New Issue
2013-03-20 19:02 denjolras File Added: Test_Specification.tiff
2013-03-20 19:02 denjolras File Added: Test_Report.tiff
2013-03-20 19:35 fman Note Added: 0018509
2013-03-20 19:39 denjolras Note Added: 0018511
2013-03-20 19:46 denjolras Note Added: 0018512
2013-03-20 19:47 denjolras File Added: Report_When_MainTC_Created_First.tiff
2013-03-20 20:26 fman Note Added: 0018513
2013-03-21 22:12 denjolras File Added: print.inc.php
2013-03-21 22:13 denjolras File Added: print.inc.php.ori
2013-03-21 22:13 denjolras Note Added: 0018544
2013-04-07 13:24 fman Tag Attached: Contribution
2013-04-07 13:31 fman Note Deleted: 0018513
2013-04-07 13:39 fman Note Added: 0018638
2013-04-07 16:29 fman Relationship added child of 0005614
2013-04-07 16:29 fman Status new => closed
2013-04-07 16:29 fman Assigned To => fman
2013-04-07 16:29 fman Resolution open => fixed
2013-04-07 16:29 fman Fixed in Version => 1.9.7 (2013 Q2 - bug fixing)
2013-04-07 16:30 fman Relationship added child of 0005551



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker